{varType Skadmin\File\Doctrine\File\File $ffile}
{varType Skadmin\File\Doctrine\File\FileHistory $fileHistory}

<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">

                {* TABS *}
                <div class="row mb-3">
                    <div class="col-12">
                        <ul class="nav nav-pills">
                            <li class="nav-item">
                                <a class="nav-link active" href="#general">
                                    <i class="fas fa-fw fa-cogs"></i> <span class="d-none d-lg-inline-block">{_'form.file.edit.general'}</span>
                                </a>
                            </li>
                            <li class="nav-item" n:if="$ffile->getHistory()->count() > 0">
                                <a class="nav-link" href="#history">
                                    <i class="fas fa-fw fa-history"></i> <span class="d-none d-lg-inline-block">{_'form.file.edit.history'} <span
                                                class="badge badge-light border-primary border">{$ffile->getHistory()->count()}</span></span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" n:href="downloadFile! hash => $ffile->getHash()">
                                    <i class="fas fa-fw fa-download"></i> <span class="d-none d-lg-inline-block">{_'form.file.edit.file.download'}</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>

                {form form}
                    <div class="row">
                    <div class="col-12">
                        <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>
                    </div>

                    <div class="col-12 tab-content">

                    {* general *}
                    <div class="show active tab-pane fade" id="general">
                        <div class="row">
                            <div class="col-12">
                                {label name /}
                                <div class="form-group">
                                    {input name class => 'form-control'}
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-12">
                                {label tags /}
                                <div class="form-group">
                                    {input tags class => 'form-control chosen-select',
                                    data-chosen-placeholder-text => ('form.file.edit.tags.placeholder'|translate),
                                    data-chosen-no-result-text => ('form.file.edit.tags.no-result'|translate)}
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-12 col-lg-7 col-xl-8 form-group">
                                {label content /}
                                        {input content class => 'form-control',  data-tinymce => 'default'}
                            </div>

                            <div class="col-12 col-lg-5 col-xl-4">
                                <div class="d-flex align-items-end flex-column h-100">

                                    {* FILE *}
                                    <div class="w-100">
                                        {$form['file']|formFile}
                                    </div>

                                    {* IMAGE PREVIEW *}
                                    <div class="w-100 mb-2">
                                        {$form['imagePreview']|formImageWithRfm:$ffile->getImagePreview()}
                                    </div>

                                    {* CHECKBOX *}
                                    <div class="w-100 mt-auto">
                                        {$form['isImportant']|formCheckbox}
                                        {$form['isActive']|formCheckbox:'mb-3'}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    {* history *}
                <div class="show tab-pane fade" id="history" n:if="$ffile->getHistory()->count() > 0">
                    <table class="table table-striped">
                    <thead>
                    <tr>
                        <td>{_'form.file.edit.history.name'}</td>
                        <td>{_'form.file.edit.history.created-at'}</td>
                        <td class="text-right">{_'form.file.edit.history.action'}</td>
                    </tr>
                    </thead>
                <tbody n:inner-foreach="$ffile->getHistory() as $fileHistory">
                <tr>
                    <td class="text-primary">{$fileHistory->getName()}</td>
                    <td>{$fileHistory->getCreatedAt()|date:'d.m.Y H:i:s'}</td>
                    <td class="align-middle text-right">
                    <a n:href="downloadFile! hash => $fileHistory->getHash(), version => $fileHistory->getVersion()"
                    class="fas fa-fw fa-download" title="{_'form.file.edit.file.download'}"></a>
                    </td>
                    </tr>
                    </tbody>
                    </table>
                    </div>

                    </div>
                    </div>

                    <div class="row mt-3">
                        <div class="col-12">
                            {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                            {input sendBack class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                            {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                        </div>
                    </div>
                {/form}
            </div>
        </div>
    </div>

</div>